## org.apache.axis.utils.cache
Class MethodCache

    java.lang.Object
      org.apache.axis.utils.cache.MethodCache

public class MethodCache
extends java.lang.Object

A cache for methods. Used to get methods by their signature and stores them in a local cache for performance reasons. This class is a singleton - so use getInstance to get an instance of it.

Author:
  Davanum Srinivas <dims@yahoo.com>, Sebastian Dietrich <sebastian.dietrich@anecon.com>

Method Summary
`static MethodCache` `getInstance()` Gets the only instance of this class
`java.lang.reflect.Method` `getMethod(java.lang.Class clazz, java.lang.String methodName, java.lang.Class[] parameterTypes)` Returns the specified method - if any.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MethodCache getInstance()

  Gets the only instance of this class

  Returns:
    the only instance of this class

### getMethod

    public java.lang.reflect.Method getMethod(java.lang.Class clazz,
                                              java.lang.String methodName,
                                              java.lang.Class[] parameterTypes)
                                       throws java.lang.NoSuchMethodException

  Returns the specified method - if any.

  Parameters:
    `clazz` - the class to get the method from
    `methodName` - the name of the method
    `parameterTypes` - the parameters of the method
  Returns:
    the found method
  Throws:
    `java.lang.NoSuchMethodException` - if the method can't be found

Copyright © 2005 Apache Web Services Project. All Rights Reserved.